SET STATISTICS IO ON
go
-- Use * to force the data retrieval to base table and choose a narrow NC Index
-- Estimate the point... 
-- First, figure out the number of pages in (CLUSTERED INDEX) scan 
-- SELECT * with no where clause
SET STATISTICS IO ON
go
SELECT * FROM Charge
go
-- 583 Pages in Scan
-- When number of rows > pages for sure
-- When number of rows * levels > pages for sure 
	-- You won't know the levels so take 1/2, 1/3, 1/4 thinking....
	-- SELECT 583/2 = 291 -- this is likely the number of levels
	-- SELECT 583/3 = 194
-- Probably even a bit less... 
SELECT * FROM Charge
WHERE member_no < 100 -- 6 rows
-- 19 IOs INDEX SEEK (NC Index to Clustered through Bookmark Lookup)
go
SELECT * FROM Charge
WHERE member_no < 200 -- 23 rows
-- 57 IOs INDEX SEEK (NC Index to Clustered through Bookmark Lookup)
go
SELECT * FROM Charge
WHERE member_no < 500 -- 138 rows
-- 583 IOs TABLE SCAN
go
-- So where's the cutoff?
SELECT * FROM Charge
WHERE member_no < 275 -- 46 rows
-- 105 IOs INDEX SEEK (NC Index to Clustered through Bookmark Lookup)
go
SELECT * FROM Charge
WHERE member_no < 276 -- 47 rows
-- 583 IOs TABLE SCAN
go

-- Compare these two with SHOWPLAN and you'll see percentages of
-- 49.97% vs 50.03% but the IOs are significantly different...
-- What's the differnce? 

-- Sequential vs Random, per se.
go